WebHostPro

Well-Known Member
PartnerNOC
Jul 28, 2002
1,715
28
328
LA, Costa RIca
cPanel Access Level
Root Administrator
Twitter
Hello,

Here is the error:

Syntax error on line 209 of /usr/local/apache/conf/httpd.conf:
Cannot load /usr/local/apache/libexec/libphp4.so into server: /lib/libc.so.6: version `GLIBC_2.3.2' not found (required by /usr/X11R6/lib/lib$

I sappose i can comment out the messed up mod, but to fix i am going to try /easyapache in hopes that it will re-install the mod correctly.

Any thoughts are much appreciated.

-Charles

cPanel.net Support Ticket Number:
 

AbeFroman

BANNED
Feb 16, 2002
644
1
318
let us know if that worked.

cPanel.net Support Ticket Number:
 

WebHostPro

Well-Known Member
PartnerNOC
Jul 28, 2002
1,715
28
328
LA, Costa RIca
cPanel Access Level
Root Administrator
Twitter
/easyapache didn't work since php wants to access a library that is not on the server.

For now we commented out all the mods in apache untill we can safely recompile apache with php.

The wierd part is it happended out of the blue.

I will post the results here just in case some else enters the twilight zone with us.

-Charles

cPanel.net Support Ticket Number:
 

hkewell

Well-Known Member
May 17, 2002
170
0
316
me too. Before problem, I just try /scripts/upcp and then update some.

Please fix /scripts/upcp !

Thanks

cPanel.net Support Ticket Number:
 

SoHo

Active Member
May 7, 2003
34
0
156
same problem... apache don't work before software update on CPanel

cPanel.net Support Ticket Number:
 

NNNils

Well-Known Member
Sep 17, 2002
580
0
166
When doing reinstall of glibc i get this:

Retrieving http://updates.cpanel.net//redhat/updates/8.0/en/os/i386/glibc-2.3.2-4.80.6.i386.rpm
Preparing... ##################################################
glibc warning: /etc/nsswitch.conf created as /etc/nsswitch.conf.rpmnew
##################################################
Stopping sshd:[ OK ]
sleep: /lib/i686/libpthread.so.0: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
sleep: /lib/i686/libc.so.6: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
Starting sshd:[ OK ]
Install Complete

cPanel.net Support Ticket Number:
 

Sopos

Well-Known Member
Nov 16, 2001
52
0
306
The problem is on the LibX11, so on the GD Library.
If you use easyapache with options 2 it works (eventually kill apache after easyapache and restart).
The problem is that you haven't gd library (but apache & php works).

I have the problem on 2 server on 10 and the red hat is the same (and cpanel version is the same).

cPanel.net Support Ticket Number:
 

NNNils

Well-Known Member
Sep 17, 2002
580
0
166
I solved it!

WHM - Software - Install an RPM

Reinstall:

glib2
glib
glib-common

Make sure you select both "Ignore Dependicies" and "Force Install (required if reinstalling a package)"

I already tried this before in another order (first common, then glib) but that didn't work out so I guess the order is of some importance.

I also first upgraded to Edge version, that may be the reason too.

Any questions are welcome.
 
Last edited:

SoHo

Active Member
May 7, 2003
34
0
156
warning: /var/tmp/rpm-xfer.A2bBQd: V3 DSA signature: NOKEY, key ID db42a60e
Retrieving http://updates.cpanel.net//redhat/updates/8.0/en/os/i386/glibc-2.3.2-4.80.6.i386.rpm
Preparing... ##################################################
glibc warning: /etc/nsswitch.conf created as /etc/nsswitch.conf.rpmnew
##################################################
Stopping sshd:[ OK ]
sleep: /lib/i686/libpthread.so.0: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
sleep: /lib/i686/libc.so.6: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
Starting sshd:[ OK ]

cPanel.net Support Ticket Number:
 

NNNils

Well-Known Member
Sep 17, 2002
580
0
166
Originally posted by SoHo
warning: /var/tmp/rpm-xfer.A2bBQd: V3 DSA signature: NOKEY, key ID db42a60e
Retrieving http://updates.cpanel.net//redhat/updates/8.0/en/os/i386/glibc-2.3.2-4.80.6.i386.rpm
Preparing... ##################################################
glibc warning: /etc/nsswitch.conf created as /etc/nsswitch.conf.rpmnew
##################################################
Stopping sshd:[ OK ]
sleep: /lib/i686/libpthread.so.0: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
sleep: /lib/i686/libc.so.6: version `GLIBC_2.3.2' not found (required by /lib/librt.so.1)
Starting sshd:[ OK ]

cPanel.net Support Ticket Number:

Waht do you want to say with this?

cPanel.net Support Ticket Number:
 

WebHostPro

Well-Known Member
PartnerNOC
Jul 28, 2002
1,715
28
328
LA, Costa RIca
cPanel Access Level
Root Administrator
Twitter
Another apache failed out of no where.

I tried to reboot apache and got this:

Waiting for httpd to restart.... . . . . . . . . . . finished.

httpd status

Can't connect at /scripts/restartsrv line 215, line 71439.

I am going to look at the error logs.

Two servers in two days, what's going on... :mad:

-Charles

cPanel.net Support Ticket Number:
 

WebHostPro

Well-Known Member
PartnerNOC
Jul 28, 2002
1,715
28
328
LA, Costa RIca
cPanel Access Level
Root Administrator
Twitter
Should of known,

Syntax error on line 204 of /usr/local/apache/conf/httpd.conf:
Cannot load /usr/local/apache/libexec/libphp4.so into server: /lib/libc.so.6: version `GLIBC_2.3.2' n$

Cpanel please take care of the problem, this is unacceptable.

-Charles

cPanel.net Support Ticket Number:
 

NNNils

Well-Known Member
Sep 17, 2002
580
0
166
I also rebooted a couple of times between operations, maybe that did the trick?
 

WebHostPro

Well-Known Member
PartnerNOC
Jul 28, 2002
1,715
28
328
LA, Costa RIca
cPanel Access Level
Root Administrator
Twitter
Did you upgrade to edge first or did you re-install the rpm's first?

Thanks by the way for the posts, I am surprised this isn't a bigger issue. I must be missing something, Charles

cPanel.net Support Ticket Number:
 
Last edited:

pingo

Well-Known Member
Nov 16, 2002
428
0
166
So what is this! - is this cPanel related? - Then please take care as this is how we loose customers. Such things shouldn't happen when using the "stable" version. :(

Thanks
John

cPanel.net Support Ticket Number:
 

andyf

Well-Known Member
Jan 7, 2002
249
0
316
UK
Code:
wget ftp://fr.rpmfind.net/linux/redhat/8.0/en/os/i386/RedHat/RPMS/XFree86-libs-4.2.0-72.i386.rpm ; rpm -U --force --nodeps XFree86-libs-4.2.0-72.i386.rpm
that will work (please use your local rpmfind mirror). but it'll break again tonight when upcp runs.

it seems like the XFree86 libs installed by upcp were compiled using glibc 2.3.2, which hey-ho isn't standard on RH8, so it's just bust loads and loads of things.

rolling back the libs (as above) will work - until the next update.

either RH have made a big balls-up or cpanel have put the wrong update up for RH8, not sure which.

goal

cPanel.net Support Ticket Number:
 
Last edited: